/*
   SysInfo.prg

   Author:  Andrew Shimmin
   Date:    10-Nov-2012
   version: 0.0.0.1

   Description:

      Program to test the SysInfo::showAbout() method.

   Usage:

      do SysInfo.prg

*/

   local s,nDisplayColumn

   s = []
   nDisplayColumn = 25

   if type([SysInfo::IamLoaded]) # [FP]
      set procedure to SysInfo.cc additive
   endif

   s := new SysInfo()

   s.showAbout()

   ?
   ?[Version:],s.get_OS_version() at nDisplayColumn
   ?[VersionNumber:],ltrim(str(s.get_OS_versionId(),3,1)) at nDisplayColumn
   ?[VersionBuild:],ltrim(str(s.get_OS_versionBuild())) at nDisplayColumn
   ?[NativeSystemType:],iif(s.l64bit,[64-bit],[32-bit]) at nDisplayColumn
   ?

   s.release()

   return