/*Structure value functions
---------------------------------------------------------------------
Program : funColor.prg
Programmer : Greg Brzozowski GM+ (gmplus@interia.pl)
Last Modified : 08/05/2001
Notes :  structure value functions
Rev. History : 08/05/2001 -- Original

Instantiation :
 
   set procedure to funStruct.prg additive

--------------------------------------  */

    
 Procedure SetLong( struct, n, nValue)
 *********************************************
  index = ( n -1) *4
  struct.setByte( index, bitand( nValue, 0xFF))
  struct.setByte( index +1, bitand( bitzrshift( nValue,  8), 0xFF))
  struct.setByte( index +2, bitand( bitzrshift( nValue, 16), 0xFF))
  struct.setByte( index +3, bitand( bitzrshift( nValue, 24), 0xFF))
  Return

 
 Procedure GetLong( struct, n)
 *********************************************
  index = ( n -1) *4
  Return struct.GetByte( index)+;
   			  BitLShift( struct.GetByte( index +1), 8)+;
 				  BitLShift( struct.GetByte( index +2), 16)+;
              BitLShift( struct.GetByte( index +3), 24)


  

 Procedure GetShort( struct, index)
 **********************************************     
  Return struct.getByte( index -1)+;
              Bitlshift( struct.getByte( index), 8)



 Procedure SetShort( struct, index, nValue)
 **********************************************  
  struct.setByte( nIndex -1, bitand( nValue, 0xFF))
  struct.setByte( nIndex, bitand( bitzrshift( nValue, 8), 0xFF))
  Return



 Procedure RectSize( rect, p)
 *********************************************
  Return GetLong( rect, 2+p) - GetLong( rect, p) 


