/*

    ISFORMOPEN()
    A quick routine by Bowen Moursund (posted on the Visual
    dBASE newsgroups), which should return a true/false value
    if a form is open or not.

    Called with:

    IsFormOpen( formreference )
    Ex:
       if IsFormOpen( fMyForm )

    USAGE:
       set procedure to isform additive
       ? isFormOpen( fMyForm )
*/

function IsFormOpen
   parameter FormRef

return type( "FormRef" ) == "O" and;
       not empty( FormRef ) and ;
       FormRef.hWnd > 0
