#define Access_General			0x5A	
#define Access_Greece			0x91	
#define Access_Japanese			0x5D	
#define Access_Nord_Danish		0x5B		
#define Access_Swed_Finnish	0x5C			
#define ascii_ANSI				0x57
#define Borland_ANSI_Arabic	0x74			
#define Borland_DAN_Latin_1	0x27			
#define Borland_DEU_Latin_1	0x2C			
#define Borland_ENG_Latin_1	0x34			
#define Borland_ENU_Latin_1	0x35			
#define Borland_ESP_Latin_1	0x31			
#define Borland_FIN_Latin_1	0x29			
#define Borland_FRA_Latin_1	0x2A			
#define Borland_FRC_Latin_1	0x2B			
#define Borland_ISL_Latin_1	0x2D			
#define Borland_ITA_Latin_1	0x2E			
#define Borland_NLD_Latin_1	0x28			
#define Borland_NOR_Latin_1	0x30			
#define Borland_PTG_Latin_1	0x36			
#define Borland_SVE_Latin_1	0x33			
#define DB2_SQL_ANSI_DEU		0xCD		
#define dBASE_BUL_868			0x8E	
#define dBASE_CHS_cp936			0x4D	
#define dBASE_CHT_cp950			0x4F	
#define dBASE_CSY_cp852			0x1F	
#define dBASE_CSY_cp867			0x20	
#define dBASE_DAN_cp865			0x8	
#define dBASE_DEU_cp437			0xF	
#define dBASE_DEU_cp850			0x10	
#define dBASE_ELL_GR437			0x86	
#define dBASE_ENG_cp437			0x19	
#define dBASE_ENG_cp850			0x1A	
#define dBASE_ENU_cp437			0x1B	
#define dBASE_ENU_cp850			0x37	
#define dBASE_ESP_cp437			0x18	
#define dBASE_ESP_cp850			0x14	
#define dBASE_FIN_cp437			0xB	
#define dBASE_FRA_cp437			0xD	
#define dBASE_FRA_cp850			0xE	
#define dBASE_FRC_cp850			0x1D	
#define dBASE_FRC_cp863			0x1C	
#define dBASE_HUN_cp852			0x22	
#define dBASE_ITA_cp437			0x11	
#define dBASE_ITA_cp850			0x12	
#define dBASE_JPN_cp932			0x13	
#define dBASE_JPN_Dic932		0x56		
#define dBASE_KOR_cp949			0x4E	
#define dBASE_NLD_cp437			0x9	
#define dBASE_NLD_cp850			0xA	
#define dBASE_NOR_cp865			0x17	
#define dBASE_PLK_cp852			0x23	
#define dBASE_PTB_cp850			0x25	
#define dBASE_PTG_cp860			0x24	
#define dBASE_RUS_cp866			0x26	
#define dBASE_SLO_cp852			0x87	
#define dBASE_SVE_cp437			0x15	
#define dBASE_SVE_cp850			0x16	
#define dBASE_THA_cp874			0x50	
#define dBASE_TRK_cp857			0x88	
#define FoxPro_Czech_1250		0x9B		
#define FoxPro_Czech_DOS895	0x9C			
#define FoxPro_German_1252		0x61		
#define FoxPro_German_437		0x5E		
#define FoxPro_Nordic_1252		0x62		
#define FoxPro_Nordic_437		0x5F		
#define FoxPro_Nordic_850		0x60		
#define Hebrew_dBASE				0x85
#define MSSQL_ANSI_Greek		0xD1		
#define Oracle_SQL_WE850		0xCA		
#define Paradox_ANSI_HEBREW	0x75			
#define Paradox_ascii			0x1	
#define Paradox_BUL_868			0x71	
#define Paradox_China_936		0x45		
#define Paradox_Cyrr_866		0x67		
#define Paradox_Czech_852		0x64		
#define Paradox_Czech_867		0x7B		
#define Paradox_ESP_437			0x3A	
#define Paradox_Greek_GR437	0x69			
#define Paradox_hebrew			0x6B	
#define Paradox_Hun_852_DC		0x68		
#define Paradox_intl				0x2
#define Paradox_intl_850		0x39		
#define Paradox_ISL_861			0x3B	
#define Paradox_japan			0x3	
#define Paradox_Korea_949		0x46		
#define Paradox_nordan			0x4	
#define Paradox_nordan40		0x5		
#define Paradox_Polish_852		0x66		
#define Paradox_Slovene_852	0x6D			
#define Paradox_swedfin			0x6	
#define Paradox_Taiwan_950		0x47		
#define Paradox_Thai_874		0x48		
#define Paradox_turk				0x6E
#define Pdox_ANSI_Bulgaria		0x94		
#define Pdox_ANSI_Cyrillic		0x7E		
#define Pdox_ANSI_Czech			0x78	
#define Pdox_ANSI_Greek			0x80	
#define Pdox_ANSI_Hun_DC		0x7F		
#define Pdox_ANSI_Intl			0x3C	
#define Pdox_ANSI_Intl850		0x3D		
#define Pdox_ANSI_Nordan4		0x40		
#define Pdox_ANSI_Polish		0x7D		
#define Pdox_ANSI_Slovene		0x82		
#define Pdox_ANSI_Spanish		0x3E		
#define Pdox_ANSI_Swedfin		0x3F		
#define Pdox_ANSI_Turkish		0x83		
#define Pdox_ascii_Japan		0xC7		
#define pdx_ANSI_Czech_CH		0x7C		
#define pdx_ANSI_ISO_L_2_CZ	0x92			
#define pdx_Czech_852_CH		0x79		
#define pdx_Czech_867_CH		0x7A		
#define pdx_ISO_L_2_Czech		0x65		
#define Spanish_ANSI				0x59
#define SQL_Link_ROMAN8			0xC9	
#define Sybase_SQL_Dic437		0xCC		
#define Sybase_SQL_Dic850		0xCB		
#define WEurope_ANSI				0x58

